apiVersion: serving.knative.dev/v1
kind: Service
metadata:
  name: jwks
spec:
  template:
    spec:
      containers:
        - image: docker.io/redbow26/zenko-connect-jwks
          ports:
            - containerPort: 8080
          env:
            # APP
            - name: APP.HOST
              value: 127.0.0.1
            - name: APP.PORT
              value: 8080
            # LOG
            - name: LOG.APP
              value: debug
            - name: LOG.REQUEST
              value: debug
            # DATABASE
            ## REDIS
            - name: DATABASE.REDIS.uri
              value: redis://127.0.0.1:6379
            ## MONGO
            - name: DATABASE.MONGO.URI
              value: mongodb://localhost:27017
            - name: DATABASE.MONGO.DATABASE
              value: test
            - name: DATABASE.MONGO.COLLECTION_TODO
              value: todo